<template>
  <div class="mb-[12vw]">
    <modern-mobile-banner :theme-properties="themeProperties" />
    <game-type-button />
    <game-section-button
      :popular-games="popularGames"
      :new-games="newGames"
      :game-providers="gameProviders"
    />
    <popular-games
      :popular-games="popularGames"
      :new-games="newGames"
    />
    <join-now-card v-if="isNotLoggedIn" :theme-properties="themeProperties" />
  </div>
</template>

<script lang="ts">
import ModernMobileBanner from "./components/banner.client.vue";
import GameTypeButton from "./components/game-type-button.client.vue";
import GameSectionButton from "./components/games-section-button.client.vue";
import PopularGames from "./components/popular-games.client.vue";
import JoinNowCard from "./components/join-now-card.client.vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { store } from "@/store";

export default defineComponent({
  name: "Home",
  components: {
    ModernMobileBanner,
    GameTypeButton,
    GameSectionButton,
    PopularGames,
    JoinNowCard,
  },
  setup() {
    const isNotLoggedIn = computed(() => store.state.auth === false);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const popularGames = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_1"
        )
    );
    const newGames = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_2"
        )
    );
    const gameProviders = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "index_blog_3"
        )
    );
    return {
      popularGames,
      newGames,
      gameProviders,
      isNotLoggedIn,
      themeProperties,
    };
  },
});
</script>
<style scoped>
.el-carousel__container {
  height: 125px;
}
</style>
